# IGListExperiment Enumeration Reference

# IGListExperiment

    enum IGListExperiment {}

Bitmask-able options used for pre-release feature testing.

- `IGListExperimentNone`

  Specifies no experiments.

  #### Declaration

  Objective-C

      IGListExperimentNone = 1 << 1

  Swift

      static var none: IGListExperiment { get }

- `IGListExperimentBackgroundDiffing`

  Test updater diffing performed on a background queue.

  #### Declaration

  Objective-C

      IGListExperimentBackgroundDiffing = 1 << 2

  Swift

      static var backgroundDiffing: IGListExperiment { get }

- `IGListExperimentReloadDataFallback`

  Test fallback to reloadData when too many update operations.

  #### Declaration

  Objective-C

      IGListExperimentReloadDataFallback = 1 << 3

  Swift

      static var reloadDataFallback: IGListExperiment { get }

- `IGListExperimentAvoidLayoutOnScrollToObject`

  Test removing the layout pass when calling scrollToObject to avoid creating off-screen cells.

  #### Declaration

  Objective-C

      IGListExperimentAvoidLayoutOnScrollToObject = 1 << 4

  Swift

      static var avoidLayoutOnScrollToObject: IGListExperiment { get }

- `IGListExperimentFixIndexPathImbalance`

  Test fixing a crash when inserting and deleting the same NSIndexPath multiple times.

  #### Declaration

  Objective-C

      IGListExperimentFixIndexPathImbalance = 1 << 5

  Swift

      static var fixIndexPathImbalance: IGListExperiment { get }

- `IGListExperimentDeferredToObjectCreation`

  Test deferring object creation until just before diffing.

  #### Declaration

  Objective-C

      IGListExperimentDeferredToObjectCreation = 1 << 6

  Swift

      static var deferredToObjectCreation: IGListExperiment { get }

- `IGListExperimentGetCollectionViewAtUpdate`

  Test getting collection view at update time.

  #### Declaration

  Objective-C

      IGListExperimentGetCollectionViewAtUpdate = 1 << 7

  Swift

      static var getCollectionViewAtUpdate: IGListExperiment { get }

- `IGListExperimentInvalidateLayoutForUpdates`

  Test invalidating layout when cell reloads/updates in IGListBindingSectionController.

  #### Declaration

  Objective-C

      IGListExperimentInvalidateLayoutForUpdates = 1 << 8

  Swift

      static var invalidateLayoutForUpdates: IGListExperiment { get }

- `IGListExperimentUseCollectionViewInsteadOfDataSourceInLayout`

  Test using the collection view when asking for layout instead of accessing the data source. Only apply to IGListCollectionViewLayout.

  #### Declaration

  Objective-C

      IGListExperimentUseCollectionViewInsteadOfDataSourceInLayout = 1 << 9

  Swift

      static var useCollectionViewInsteadOfDataSourceInLayout: IGListExperiment { get }

© 2019 Instagram. All rights reserved. (Last updated: 2019-11-20)

Generated by jazzy ♪♫ v0.12.0, a Realm project.